
/* =========================
           OFFCANVAS BOTTOM
        ========================= */

        .offcanvas{
            position: fixed;
            bottom: 0;
            left: 0;
            right: 0;

            z-index: 1055;

            background: #fff;

            visibility: hidden;

            transform: translateY(100%);

            transition: transform .3s ease-in-out;

            border-top: 1px solid #ececec;

            box-shadow: 0 -5px 20px rgba(0,0,0,.06);
        }

        .offcanvas.show{
            visibility: visible;
            transform: translateY(0);
        }

        .offcanvas-bottom{
            height: 90px;
        }

        .offcanvas-backdrop{
            display: none !important;
        }

        .cronometro-wrapper{
            height: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 60px;
            padding: 0 40px;
        }

        .cronometro-title{
            font-size: 28px;
            font-weight: 700;
            color: #1f2937;
            margin: 0;
        }

        .notify-text{
            font-size: 16px;
            color: #666;
            margin-bottom: 12px;
        }

        .timer-display{
            font-size: 26px;
            font-weight: 700;
            color: #a33b27;
            min-width: 90px;
            text-align: center;
        }

        .slider-area{
            width: 260px;
        }

        .form-range{
            cursor: pointer;
        }

        .btn-encerrar{
            height: 48px;
            padding: 0 28px;
            border-radius: 6px;
            border: 1px solid #d9d9d9;
            background: #fff;
            color: #555;
            cursor: pointer;
        }

        .btn-iniciar{
            height: 48px;
            padding: 0 32px;
            border-radius: 6px;
            border: none;
            background: #a33b27;
            color: #fff;
            cursor: pointer;
        }

        .btn-iniciar:hover{
            background: #a33b27;
        }

        .close-btn{
            background: transparent;
            border: none;
            font-size: 34px;
            color: #777;
            cursor: pointer;
            line-height: 1;
        }

        .floating-actions {
    position: fixed;
    right: 0;
    top: 45%;
    transform: translateY(-50%);
    z-index: 999;
}

/* BOTÃO */
.floating-btn {
    width: 213px;
    height: 60px;
    border: none;
    border-radius: 30px 0 0 30px;
    background: #666666;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 12px;
    padding-left: 22px;
    cursor: pointer;
    overflow: hidden;

    /* começa escondido */
    transform: translateX(150px);

    transition:
        transform 0.35s ease,
        background 0.25s ease;
}

/* Hover */
.floating-btn:hover {
    transform: translateX(0);
    background: #666666;
}

/* Ícone */
.floating-btn i {
    font-size: 28px;
    min-width: 28px;
}

/* Texto */
.btn-text {
    font-size: 18px;
    font-weight: 600;
    white-space: nowrap;
    opacity: 0;

    transition: opacity 0.2s ease;
}

/* Texto aparece quando abre */
.floating-btn:hover .btn-text {
    opacity: 1;
}

/* =========================
           OFFCANVAS BOTTOM
        ========================= */



/* CALENDÁRIO */

:root{

    --bg:#f5f7fb;
    --card:#ffffff;
    --border:#e7eaf3;

    --text:#111827;
    --muted:#7b8191;

    --purple:#6d5cff;
    --purple-soft:#f1eeff;

    --pink:#ff5cab;
    --pink-soft:#fff0f7;

    --green:#28c76f;
    --green-soft:#eefbf4;

}


/* WRAPPER */

.schedule-wrapper{
    background:#fff;
    border-radius: 0.3rem !important;
    padding:35px;
    border:1px solid var(--border);
    box-shadow:0 10px 40px rgba(16,24,40,.04);
}

/* TOP */

.schedule-top{
    display:flex;
    justify-content:space-between;
    align-items:flex-start;
    margin-bottom:15px;
    gap:20px;
    flex-wrap:wrap;
}

.week-btn{
    border:1px solid var(--border);
    background:#fff;
    border-radius: 0.3rem !important;
    padding:16px 24px;
    font-weight:600;
    color:var(--purple);
    transition:.2s;
}

.week-btn:hover{
    background:#f8f8ff;
}

.center-top{
    text-align:center;
}

.week-date{
    font-size:42px;
    font-weight:700;
    margin-bottom:18px;
    display:flex;
    align-items:center;
    justify-content:center;
    gap:14px;
}

/* LEGEND */

.legend{
    display:flex;
    justify-content:center;
    gap:35px;
    flex-wrap:wrap;
}

.legend-item{
    display:flex;
    align-items:center;
    gap:10px;
    font-weight:500;
    color:#374151;
}

.legend-dot{
    width:14px;
    height:14px;
    border-radius:50%;
}

.dot-study{
    background:var(--purple);
}

.dot-review{
    background:var(--pink);
}

.dot-exercise{
    background:var(--green);
}

/* GRID */

.week-grid{
    display:grid;
    grid-template-columns:repeat(6,1fr);
    gap:15px;
}

/* COLUMN */

.day-column{
    border:1px solid var(--border);
    border-radius: 0.3rem !important;
    padding:15px;
}

.theme-dark .day-column{
    border:none;
    border-radius: 0.3rem !important;
    background: #262728;
    padding:15px;
}

.day-column.active{
    border:1px solid #a33b27;
}

.day-header{
    display:flex;
    justify-content:space-between;
    align-items:flex-start;
    margin-bottom:15px;
}

.day-name{
    font-size:30px;
    font-weight:700;
    line-height:1;
    margin-bottom:10px;
}

.day-date{
    color:var(--muted);
    font-size:15px;
}

.day-badge{
    width:30px;
    height:30px;
    border-radius:50%;
    background:#f3f4f8;
    display:flex;
    align-items:center;
    justify-content:center;
    font-weight:600;
    color:#5f6472;
}

.theme-dark .day-badge{
    width:30px;
    height:30px;
    border-radius:50%;
    background:#3c3c3c;
    display:flex;
    align-items:center;
    justify-content:center;
    font-weight:600;
    color:#5f6472;
}

/* CARD */

.study-card{
    border-radius: 0.3rem !important;
    padding:18px;
    margin-bottom:18px;
}

.card-study{
    background:var(--purple-soft);
}

.card-review{
    background:var(--pink-soft);
}

.card-exercise{
    background:var(--green-soft);
}

.card-tag{
    display:inline-flex;
    align-items:center;
    padding:8px 14px;
    border-radius:50px;
    font-size:12px;
    font-weight:700;
    margin-bottom:18px;
}

.tag-estudo{
    background:#ddd6ff;
    color:#5d47ff;
}

.tag-atrasado{
    background:#fddfc3;
    color:#d86e0a;
}

.tag-revisao{
    background:#ffd3ea;
    color:#cf2b82;
}

.tag-exercicio{
    background:#c9f4db;
    color:#149b52;
}

.card-title{
    font-size:20px;
    font-weight:700;
    margin-bottom:14px;
}

.card-description{
    color:#374151;
    line-height:1.6;
    margin-bottom:22px;
}

.time-badge{
    background:#fff;
    display:inline-flex;
    align-items:center;
    gap:8px;
    border-radius:50px;
    padding:10px 14px;
    font-size:13px;
    font-weight:700;
    box-shadow:0 4px 10px rgba(0,0,0,.04);
}

/* ADD */

.add-task{
    border:2px dashed #ddd6fe;
    border-radius:20px;
    padding:18px;
    text-align:center;
    color:var(--purple);
    font-weight:600;
    transition:.2s;
    cursor:pointer;
}

.add-task:hover{
    background:#faf9ff;
}

.cronograma-metas .owl-nav {
  position: absolute;
  top: -14px;
  right: 0px;
}

.cronograma-metas .owl-nav button.owl-prev {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #f3f4f8;
    align-items: center;
    justify-content: center;
}

.cronograma-metas .owl-nav button.owl-next {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #f3f4f8;
    align-items: center;
    justify-content: center;
}

/* RESPONSIVE */

@media(max-width:1600px){

    .week-grid{
        grid-template-columns:repeat(3,1fr);
    }

}

@media(max-width:1100px){

    .week-grid{
        grid-template-columns:repeat(2,1fr);
    }

}

@media(max-width:768px){

    .week-grid{
        grid-template-columns:1fr;
    }

    .schedule-top{
        flex-direction:column;
        align-items:stretch;
    }

    .center-top{
        order:-1;
    }

    .week-date{
        font-size:30px;
    }

}

/* FIM CALENDÁRIO */



/*LOGIN E CADASTRO */

/* ===== RESET BASE ===== */
body.login {
  height: 100vh;
  margin: 0;
  background-color: #f5f7f6;
}

/* ===== LAYOUT ===== */
.login .auth-container {
  height: 100vh;
}

.login .left-side {
  background: url('../images/img-4854567.png') no-repeat center center;
  background-size: cover;
}

.login .right-side {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* ===== BOX ===== */
.login .auth-box {
  width: 100%;
  max-width: 420px;
}

/* ===== LOGO ===== */
.login .logo {
  font-size: 28px;
  font-weight: bold;
  text-align: center;
  color: #2b3a3f;
}

.login .logo span {
  color: #20b2a6;
}

/* ===== TITULOS ===== */
.login .title {
  text-align: center;
  color: #20b2a6;
  font-weight: 600;
  margin: 15px 0 20px;
}

.login .subtitle {
  text-align: center;
  font-size: 14px;
  color: #666;
  margin-bottom: 25px;
}

/* ===== INPUTS ===== */
.login .form-control {
  height: 48px;
  border-radius: 8px;
}

.login .btn-google {
  border: 1px solid #ddd;
  height: 48px;
  border-radius: 8px;
  background: #fff;
}

/* ===== DIVIDER ===== */
.login .divider {
  text-align: center;
  margin: 20px 0;
  position: relative;
  font-size: 13px;
  color: #999;
}

.login .divider::before,
.login .divider::after {
  content: "";
  height: 1px;
  width: 35%;
  background: #ddd;
  position: absolute;
  top: 50%;
}

.login .divider::before {
  left: 0;
}

.login .divider::after {
  right: 0;
}

.login .divider span {
  background: #f5f7f6;
  padding: 0 10px;
}

/* ===== TEXTOS AUXILIARES ===== */
.login .small-text {
  font-size: 14px;
  text-align: center;
}

.login .terms {
  font-size: 12px;
  color: #777;
  text-align: center;
  margin-top: 15px;
}

/* ===== CHECKBOX ===== */
.login .form-check-label {
  font-size: 14px;
}

/* LOGIN E CADASTRO */


/* MENU SANFONA */

.sidebar-menu .submenu {
    display: none !important;
    padding-left: 45px;
}

.sidebar-menu .has-submenu.active > .submenu {
    display: block !important;
}

/* seta */
.sidebar-menu .arrow {
    transition: transform 0.3s ease;
}

.sidebar-menu .has-submenu.active > a .arrow {
    transform: rotate(90deg);
}

/* garante layout do botão */
.sidebar-menu .nav-content-bttn {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* MENU SANFONA */

.bg-tarja-voltar {
  background: #111111;
}

i.passo-ativo {
  color: #a6d971;
  font-size: 25px; 
}

i.passo-inativo {
  color: #bbbbbb;
  font-size: 25px;
}

.theme-dark .bg-cinza-60 {
  background: #212223;
}

.theme-dark .text-red-900 {
    color: #a33b27 !important;
}

.theme-dark a.text-red-900:hover {
    color: #ffffff !important;
}

.theme-dark .links-conteudos .border-top {
    border-top: 1px solid #333333 !important;
}

.theme-dark .text-warning {
    color: #FE9431 !important;
}

.bg-cinza-60 {
  background: #e2e2e2;
}

.circulo-destaques {
    width: 225px;
    height: 225px;
    border-radius: 50%;
    background: #f9f9f9;
    border: 1px solid #E1E1F0;
    flex-direction: column; 
}

.theme-dark .circulo-destaques {
    border: 0 !important;
    background-color: #1a1b1c !important;
}

.course-card .card-image .video-bttn:after {
	display: none;
}

.logo-ak {
	width: 50%;
}

.numeros-ak h2 {
	color: #a33b27 !important;
}

.h-list {
	align-items: stretch;
}

.height-turmas {
  min-height: 155px;
}

.h-bottom {
  justify-content: flex-end;
}

.bg-plano-ativo {
	background: #f1f1f1;
	border: 1px solid #ffffff !important;
}

.theme-dark .bg-plano-ativo {
	border: 1px solid #ffffff !important;
}

.matchheight {
  display: grid;
  // Essentially switch the default axis
  grid-auto-flow: column;
}

.matchheight-2 {
  display: grid;
  grid-auto-flow: column;

  // Ensure content elements fill up the .column
  .element {
    height: 100%;
  }
}

.theme-dark .color-resete .text-success {
    color: #10d876 !important;
}

.theme-dark .color-resete .text-warning {
    color: #FE9431 !important;
}

.theme-dark .color-resete .text-primary {
    color: #1E74FD !important;
}

.theme-dark .color-resete .text-danger {
    color: #a33b27 !important;
} 

.theme-dark .card-estudos {
	border: 1px solid #757576 !important;
}

.theme-dark .resposta-me span {
  color: #ffffff;
}

.slide-simulados .btn-round-xl {
	line-height: 85px;
}

.slide-simulados .item .card {
	background: #e9ecef; 
}

.breadcrumb-2 ul li {
  padding-right: 15px;
}

.bg-cinza-ak {
    background-color: #f9f9f9 !important;
}

.theme-dark .bg-cinza-ak {
    border: 0 !important;
    background-color: #1a1b1c !important;
}

.theme-dark .bg-black-ak {
    border: 0 !important;
    background-color: #1a1b1c !important;
}

.form-check-input {
    margin-top: 0.5rem !important;
}

.bg-success-2 {
    background-color: #3ac07d !important;
}

.form-control {
    line-height: 45px;
    height: 45px;
}

.quantidade .form-control {
    line-height: 40px;
    height: 40px;
}

.page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: #a33b27;
    border-color: #a33b27;
}

.page-link {
    position: relative;
    display: block;
    padding: 0.5rem 0.75rem;
    margin-left: -1px;
    line-height: 1.25;
    color: #a33b27;
    background-color: #fff;
    border: 1px solid #dee2e6;
}

.page-link:hover {
    z-index: 2;
    color: #a33b27;
    text-decoration: none;
    background-color: #e9ecef;
    border-color: #dee2e6;
}


input[type="radio"],
input[type="checkbox"] {
  accent-color: #46c284; /* Substitua pela cor desejada */
}

/* Flip Flashcards */

.flashcard {
  perspective: 1000px;
}

.card-inner {
  width: 800px;
  height: 450px;
  position: relative;
  transform-style: preserve-3d;
  transition: transform 0.6s ease;
}

.card-inner.flip {
  transform: rotateY(180deg);
}

.card-front, .card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  background: white;
  border-radius: 12px;
  box-shadow: 0 10px 25px rgba(0,0,0,0.1);
  padding: 20px;
  box-sizing: border-box;
}

.card-front {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.theme-dark .card-front p {
  color: #111 !important;
}

.theme-dark .card-front h4 {
  color: #111 !important;
}

.card-back {
  transform: rotateY(180deg);
  background: #1f2937;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

button {
  background: #ff6b00;
  color: white;
  border: none;
  padding: 10px;
  border-radius: 6px;
  cursor: pointer;
  font-weight: bold;
  transition: 0.3s;
}

button:hover {
  opacity: 0.9;
}

.rating-section {
  margin-top: 15px;
}

.rating-title {
  margin-bottom: 10px;
  font-size: 14px;
}

.rating-buttons {
  display: flex;
  justify-content: space-between;
}

.rating-buttons button {
  width: 45px;
  background: #788ea0;
}

.rating-buttons button.active {
  background: #3ac07d;
}

.back-btn {
  margin-top: 10px;
  background: #6b7280;
}

/* Flip Flashcards */

.question{
  max-width:100%;
  display:flex;
  flex-direction:column;
  gap:12px;
  font-family:Arial;
}

.option{
  display:flex;
  align-items:center;
  gap:12px;
  padding:10px 14px;
  border-radius:40px;
  border:1px solid #ddd;
  cursor:pointer;
  transition:0.2s;
}

.resp-correta {
  display:flex;
  align-items:center;
  gap:12px;
  padding:10px 14px;
  border-radius:40px;
  background-color: #effaf5 !important;
  border-color: #b4eed4 !important;
  cursor:pointer;
  transition:0.2s;
}

.resp-incorreta {
  display:flex;
  align-items:center;
  gap:12px;
  padding:10px 14px;
  border-radius:40px;
  background-color: #fcf0ed !important;
  border-color: #f7dbd5 !important;
  cursor:pointer;
  transition:0.2s;
}

.resp-incorreta .letter{
  width:34px;
  height:34px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  background-color: #bf4028 !important;
  border-color: #b53820 !important;
  color: #fff !important;
  font-weight:bold;
}

.item-travado {
  display:flex;
  align-items:center;
  gap:12px;
  padding:10px 14px;
  border-radius:40px;
  border:1px solid #ddd;
  cursor:pointer;
  transition:0.2s;
}

.item-travado .no-letter{
  width:34px;
  height:34px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  border:2px solid #666666;
  color:#666666;
  font-weight:bold;
}

.resp-correta .letter{
  width:34px;
  height:34px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  background-color: #36aa76 !important;
  border-color: #36aa76 !important;
  color: #fff !important;
  font-weight:bold;
}

.option:hover{
  background:#f5f5f5;
}

.letter{
  width:34px;
  height:34px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  border:2px solid #a33b27;
  color:#a33b27;
  font-weight:bold;
}

.option.selected{
  background:#f2f2f2;
}

.option.selected .letter{
  background:#a33b27;
  color:white;
}

/* Radiobutton V e F */

.resposta-vf .button-wrap {
  position: relative;
  @media (max-width: $small) {margin-top: -1.5em;}
}

.resposta-vf  .button-label {
  display: inline-block;
  padding: 10px 15px;
  margin: 0.5em;
  cursor: pointer;
  color: #292929;
  border-radius: 0.25em;
  background: #788ea0;
  transition: 0.3s;
  user-select: none;
  h1 {
    font-size: 1em;
    color: #ffffff;
    font-family: $font-stack;
  }
  &:hover {
    background: darken(#788ea0, 10%);
    color: darken(#292929, 10%);
  }
  &:active {
    transform: translateY(2px);
  }
  @media (max-width: $small) {
    padding: 0em 1em 3px;
    margin: 0.25em;
  }
}

.resposta-vf  #yes-button:checked + .button-label {
  background: #56a980;
  color: #788ea0;
  &:hover {
    background: darken(#56a980, 5%);
    color: darken(#788ea0, 5%);
  }
}

.resposta-vf  #no-button:checked + .button-label {
  background: #a33b27;
  color: #788ea0;
  &:hover {
    background: darken(#a33b27, 5%);
    color: darken(#788ea0, 5%);
  }
}

.resposta-vf  #maybe-button:checked + .button-label {
  background: #4183D7;
  color: #788ea0;
  &:hover {
    background: darken(#4183D7, 5%);
    color: darken(#788ea0, 5%);
  }
}

.resposta-vf  .hidden {
  display: none;
}

/* Radiobutton V e F */

/* Radiobutton multipla escolha */

.resposta-me .button-wrap {
  position: relative;
  @media (max-width: $small) {margin-top: -1.5em;}
}

.resposta-me  .button-label {
  display: inline-block;
  padding: 10px 15px;
  margin: 0.5em;
  cursor: pointer;
  color: #292929;
  border-radius: 0.25em;
  background: #788ea0;
  transition: 0.3s;
  user-select: none;
  h1 {
    font-size: 1em;
    color: #ffffff;
    font-family: $font-stack;
  }
  &:hover {
    background: darken(#788ea0, 10%);
    color: darken(#292929, 10%);
  }
  &:active {
    transform: translateY(2px);
  }
  @media (max-width: $small) {
    padding: 0em 1em 3px;
    margin: 0.25em;
  }
}

.resposta-me  #yes-button:checked + .button-label {
  background: #56a980;
  color: #788ea0;
  &:hover {
    background: darken(#56a980, 5%);
    color: darken(#788ea0, 5%);
  }
}
.resposta-me  #resposta-a:checked + .button-label {
  background: #56a980;
  color: #788ea0;
  &:hover {
    background: darken(#56a980, 5%);
    color: darken(#788ea0, 5%);
  }
}
.resposta-me  #resposta-b:checked + .button-label {
  background: #56a980;
  color: #788ea0;
  &:hover {
    background: darken(#56a980, 5%);
    color: darken(#788ea0, 5%);
  }
}
.resposta-me  #resposta-c:checked + .button-label {
  background: #56a980;
  color: #788ea0;
  &:hover {
    background: darken(#56a980, 5%);
    color: darken(#788ea0, 5%);
  }
}
.resposta-me  #resposta-d:checked + .button-label {
  background: #56a980;
  color: #788ea0;
  &:hover {
    background: darken(#56a980, 5%);
    color: darken(#788ea0, 5%);
  }
}
.resposta-me  #resposta-e:checked + .button-label {
  background: #56a980;
  color: #788ea0;
  &:hover {
    background: darken(#56a980, 5%);
    color: darken(#788ea0, 5%);
  }
}

.resposta-me  #no-button:checked + .button-label {
  background: #a33b27;
  color: #788ea0;
  &:hover {
    background: darken(#a33b27, 5%);
    color: darken(#788ea0, 5%);
  }
}

.resposta-me  #maybe-button:checked + .button-label {
  background: #4183D7;
  color: #788ea0;
  &:hover {
    background: darken(#4183D7, 5%);
    color: darken(#788ea0, 5%);
  }
}

.resposta-me  .hidden {
  display: none;
}

/* Radiobutton V e F */

.owl-theme.nav-none .owl-nav {
    display:block !important;
}

.simulados-home .owl-nav .owl-prev {
  position: absolute;
  left: -6px;
  top: 76px;
  background: #a33b27 !important;
  color: #ffffff !important; 
}
.simulados-home .owl-nav .owl-next {
  position: absolute;
  right: -6px;
  top: 76px;
  background: #a33b27 !important;
  color: #ffffff !important; 
}

.turmas-home .owl-nav .owl-prev {
  position: absolute;
  left: -5px;
  top: 180px;
  background: #a33b27 !important;
  color: #ffffff !important; 
}
.turmas-home .owl-nav .owl-next {
  position: absolute;
  right: -3px;
  top: 180px;
  background: #a33b27 !important;
  color: #ffffff !important; 
}

.comentarios-questoes .owl-nav .owl-prev {
  background: #a33b27 !important;
  color: #ffffff !important; 
}
.comentarios-questoes .owl-nav .owl-next {
  background: #a33b27 !important;
  color: #ffffff !important; 
}

.balao-alerta {
  background-color: #a33b27;
  color: #ffffff;
  margin-left: 5px;
  padding: 2px 4px;
}

.tarja {
  background: #e9ecef;
  border-radius: 10px;
  padding: 5px 10px;
  margin-bottom: 15px;
}

.tarja span {
  margin-top: 4px;
  margin-left: 10px;
}

.tarja img {
  width: 30px;
}

.logo-simulados {
  text-align: right;
}

.logo-simulados img {
  border-radius: 100%;
  background: #ffffff;
  padding: 10px;
  margin-top: 45px;
  margin-right: 25px;
}

.bloqueado::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 0.3rem !important;
    border: 1px solid #2754e6;
    background-size: cover;
    background-color: rgba(255, 255, 255, 0.7); /* Semi-transparent black color */
    /* The background color and image will blend using background-blend-mode if desired, 
    or the color acts as the overlay */
    opacity: 1; /* Opacity of the pseudo-element itself (not necessary if using RGBA) */
    z-index: 2; /* Puts the background layer behind the content */
}

.bloqueado .bloqueado-texto {
    position: relative; 
    z-index: 3; /* Ensures content is above the background layer */
    text-align: center;
    top: 100px;
}

.bloqueado .bloqueado-texto h3 {
  font-weight: 600;
}

.form-group .style1-select {
    line-height: 45px;
    height: 45px;
    color: #666666 !important;
}

.main-content .middle-sidebar-header {
  height: 70px;
}

.main-content .middle-sidebar-bottom .middle-sidebar-right {
    z-index:auto;
    overflow-x: hidden;
}

/* BOTÃO DO CHAT */
.chat-toggle{
    position:fixed;
    bottom:20px;
    right:20px;
    width:60px;
    height:60px;
    border-radius:50%;
    background:#a33b27;
    color:white;
    border:none;
    font-size:26px;
    box-shadow:0 4px 12px rgba(0,0,0,0.2);
    z-index: 99999;
}

/* JANELA DO CHAT */
.chatbox{
    position:fixed;
    bottom:90px;
    right:20px;
    width:330px;
    height:480px;
    background:white;
    border-radius:12px;
    box-shadow:0 10px 25px rgba(0,0,0,0.2);
    display:none;
    flex-direction:column;
    overflow:hidden;
}

/* HEADER */
.chat-header{
    background:#a33b27;
    color:white;
    padding:12px 15px;
    font-weight:600;
}

/* MENSAGENS */
.chat-body{
    flex:1;
    padding:15px;
    overflow-y:auto;
    background:#fafafa;
}

/* MENSAGEM BOT */
.bot-msg{
    background:#eee;
    padding:10px 12px;
    border-radius:10px;
    margin-bottom:10px;
    max-width:80%;
}

/* MENSAGEM USER */
.user-msg{
    background:#8e6ccf;
    color:white;
    padding:10px 12px;
    border-radius:10px;
    margin-bottom:10px;
    margin-left:auto;
    max-width:80%;
}

/* INPUT */
.chat-footer{
    padding:10px;
    border-top:1px solid #eee;
}

/* simulacao select */

.select-container{
position:relative;
}

.select-container .select-button{
width:100%;
background:white;
border:1px solid #cfd6e4;
border-radius:8px;
line-height: 45px;
height: 45px;
text-align:left;
display:flex;
justify-content:space-between;
align-items:center;
cursor:pointer;
}

.select-container .arrow{
font-size:14px;
}

.select-container .select-dropdown{
position:absolute;
top:110%;
left:0;
width:100%;
background:white;
border-radius:8px;
box-shadow:0 8px 20px rgba(0,0,0,0.1);
padding:10px;
display:none;
z-index:100;
}

.select-container .search{
width:100%;
border:1px solid #ddd;
border-radius:6px;
padding:8px 10px;
margin-bottom:10px;
}

.select-container .options{
max-height:260px;
overflow-y:auto;
}

.select-container .option{
display:flex;
align-items:flex-start;
gap:10px;
padding:8px;
cursor:pointer;
border-radius:6px;
line-height: 17px;
}

.select-container .option:hover{
background:#f5f7fb;
}

.select-container .option input{
margin-top:2px;
}

.select-container .select-dropdown{
transition: all .2s ease;
}

/* simulação select */

/* OVERLEY UPGRADE */

.card-upgrade{
    position: relative;
    overflow: hidden;
}

.upgrade-overlay{
    position: absolute;
    inset: 0;
    background: rgba(255,255,255,0.75);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    text-align: center;
    z-index: 2;
}

/* OVERLEY UPGRADE */


/* ===== RESPONSIVO ===== */
@media (max-width: 768px) {
  .login .left-side {
    display: none;
  }

  .login .auth-box {
    padding: 20px;
  }

  .chat-toggle{
    bottom:70px;
    }
}


@media (max-width: 576px)  {
  .rel-numeros-ak {
    display: none;
  }

  .titulo-questao {
    display: inline !important; 
  }

  .titulo-disciplina {
    display: inline !important;
  }

  .titulo-questao .info {
    width: 100% !important;
  }

  .titulo-disciplina .info {
    width: 100% !important;
  }

  .bt-editar a {
    float: none !important;
    width: 100% !important;
  }

  .product-info-tab .list-inline-item {
    padding: 5px !important;
    width: 100%;
    border: 1px solid #e2e2e2;
    border-radius: 5px;
    margin-bottom: 10px;
    text-align: center;
  }

  .product-info-tab .list-inline-item:not(:last-child) {
    margin-right: 0rem !important;
  }

  .product-info-tab .list-inline-item a {
    margin: 0px !important;
  }

  .comentarios-questoes .perfil-comentario {
    display: inline-block !important;
    border: 1px solid #e2e2e2;
    text-align: center;
    padding: 10px;
    border-radius: 10px;
    width: 100%;
  }

  .comentarios-questoes .perfil-comentario img {
    display: inherit;
  }

  .comentarios-questoes .perfil-comentario .perfil-dados {
    display: inline-block !important;
  }

  .comentarios-questoes .perfil-comentario .perfil-dados .info {
    width: 100% !important;
    margin: 0px;
  }

  .comentarios-questoes .perfil-comentario .perfil-dados .info p {
    font-size: 12px !important;
  }

  .comentarios-questoes .texto-leitura .font-xsss {
    font-size: 13px !important;
    line-height: 15px;
  }

}





